MorePaintMaterials = {}


MorePaintMaterials.MATERIAL_TEXTS = {   
	{ materialName = "chrome", text = "Chrome" },
    { materialName = "silverScratchedShiny", text = "Metal Shiny" },
	{ materialName = "silverScratched", text = "Metal Scratched" },
    { materialName = "silverRough", text = "Metal Rough" },
	{ materialName = "silverBumpy", text = "Metal Bumpy" },
	{ materialName = "metalGalvanized", text = "Metal Galvanized" },
	{ materialName = "silverCircularBrushed", text = "Metal Brushed" },
	{ materialName = "steelTreadPlate", text = "Metal Tread Plate" },
	{ materialName = "metalPaintedRough", text = "Metal Painted Rough" },
	{ materialName = "metalPaintedOld", text = "Metal Painted Old" },
	{ materialName = "calibratedCastIron", text = "Metal Cast Iron" },
	 
	{ materialName = "halfMetalNoise1", text = "Textured Speckled" },
	{ materialName = "glassLine01", text = "Textured Lines" },
	{ materialName = "glassSquare01", text = "Textured Squares" },
	{ materialName = "reflectorWhiteHexagon", text = "Textured Hexagons" },
	{ materialName = "reflectorWhiteCube", text = "Textured Cubes" },
	
	{ materialName = "plasticPainted", text = "Plastic" },
	{ materialName = "rubber", text = "Rubber" },
	{ materialName = "wood1", text = "Wood 1" },
	{ materialName = "wood2", text = "Wood 2" },
	
	{ materialName = "leather1", text = "Leather 1" },
	{ materialName = "leather2", text = "Leather 2" },
	{ materialName = "leather3", text = "Leather 3" },
	
	{ materialName = "fell", text = "Fabric Felt" },
	{ materialName = "fabric3", text = "Fabric Light" },
	{ materialName = "fabric2", text = "Fabric Dark" },		
	{ materialName = "fabric6", text = "Fabric Woven" },
	{ materialName = "fabricOrnamental1", text = "Fabric Ornate" },
	
	{ materialName = "perforatedSynthetic1", text = "Perforated Synthetic 1" },
	{ materialName = "perforatedSynthetic2", text = "Perforated Synthetic 2" },
	
    { materialName = "carbonPattern01", text = "Carbon Fiber" },	
	
	{ materialName = "dirt", text = "Dirt" },
	{ materialName = "snow", text = "Snow" },
		
}

function MorePaintMaterials:loadMap(name)
    self:addCustomMaterials()
end


function MorePaintMaterials:addCustomMaterials()

	for index, material in ipairs(self.MATERIAL_TEXTS) do
		local exists = false

		for existingIndex, existingMaterial in ipairs(ColorPickerDialog.MATERIAL_TEXTS) do
			if existingMaterial.materialName == material.materialName then
				exists = true
				break
			end
		end

		if not exists then
			table.insert(ColorPickerDialog.MATERIAL_TEXTS, material)
			table.insert(ColorPickerDialog.INSTANCE.materialPicker.texts, material.text)
		end
	end

end

addModEventListener(MorePaintMaterials)

